Loading...
Searching...
No Matches
msg_multipart_s Struct Reference
MIME Headers » MIME Multipart Body

Structure for a part in MIME multipart message. More...

`#include <msg_mime.h>`

Collaboration diagram for msg_multipart_s:
[legend]

## Data Fields

msg_common_t | mp_common [1]
| Common fragment information.
msg_multipart_t * | mp_next
| Next part in multipart body.
char * | mp_data
| Boundary string.
unsigned | mp_len
| Length of boundary (mp_data).
msg_content_type_t * | mp_content_type
| Content-Type (c).
msg_content_disposition_t * | mp_content_disposition
| Content-Disposition.
msg_content_location_t * | mp_content_location
| Content-Location.
msg_content_id_t * | mp_content_id
| Content-ID.
msg_content_language_t * | mp_content_language
| Content-Language.
msg_content_encoding_t * | mp_content_encoding
| Content-Encoding (e).
msg_content_transfer_encoding_t * | mp_content_transfer_encoding
| Content-Transfer-Encoding.
msg_unknown_t * | mp_unknown
| Unknown and extra headers.
msg_separator_t * | mp_separator
| Separator.
msg_payload_t * | mp_payload
| Body part.
msg_multipart_t * | mp_multipart
| Recursive multipart.
msg_payload_t * | mp_close_delim
| Closing delimiter.

## Detailed Description

Structure for a part in MIME multipart message.

## Field Documentation

## mp_unknown

msg_unknown_t* mp_unknown

Unknown and extra headers.

Unknown headers

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.